#
# Please do not update/rebuild/touch this package before asking first to mikala and/or neoclust
# This package is part of the KDE Stack.
#

%define rel 1

Name:           kcron
Epoch:          2
Version: 17.12.2
Release:        %mkrel %{rel}
Summary:        Graphical task scheduler
Group:          Graphical desktop/KDE
License:        GPLv2 and LGPLv2 and GFDL
URL:            http://www.kde.org
Source0:        http://download.kde.org/stable/%{version}/src/%{name}-%{version}.tar.xz

BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5PrintSupport)

BuildRequires:  kf5-macros
BuildRequires:  kdoctools-devel
BuildRequires:  ki18n-devel
BuildRequires:  kiconthemes-devel
BuildRequires:  kio-devel
BuildRequires:  kxmlgui-devel

BuildRequires:  libxml2-utils
BuildRequires:  docbook-dtds
BuildRequires:  docbook-style-xsl

# conflicts with mga5 packages
Conflicts:      kde-l10n-ar < 17.04.3-1
Conflicts:      kde-l10n-bg < 17.04.3-1
Conflicts:      kde-l10n-bs < 17.04.3-1
Conflicts:      kde-l10n-ca < 17.04.3-1
Conflicts:      kde-l10n-ca-valencia < 17.04.3-1
Conflicts:      kde-l10n-cs < 17.04.3-1
Conflicts:      kde-l10n-da < 17.04.3-1
Conflicts:      kde-l10n-de < 17.04.3-1
Conflicts:      kde-l10n-el < 17.04.3-1
Conflicts:      kde-l10n-en_GB < 17.04.3-1
Conflicts:      kde-l10n-en_US < 17.04.3-1
Conflicts:      kde-l10n-es < 17.04.3-1
Conflicts:      kde-l10n-et < 17.04.3-1
Conflicts:      kde-l10n-eu < 17.04.3-1
Conflicts:      kde-l10n-fa < 17.04.3-1
Conflicts:      kde-l10n-fi < 17.04.3-1
Conflicts:      kde-l10n-fr < 17.04.3-1
Conflicts:      kde-l10n-ga < 17.04.3-1
Conflicts:      kde-l10n-gl < 17.04.3-1
Conflicts:      kde-l10n-he < 17.04.3-1
Conflicts:      kde-l10n-hi < 17.04.3-1
Conflicts:      kde-l10n-hr < 17.04.3-1
Conflicts:      kde-l10n-hu < 17.04.3-1
Conflicts:      kde-l10n-ia < 17.04.3-1
Conflicts:      kde-l10n-id < 17.04.3-1
Conflicts:      kde-l10n-is < 17.04.3-1
Conflicts:      kde-l10n-it < 17.04.3-1
Conflicts:      kde-l10n-ja < 17.04.3-1
Conflicts:      kde-l10n-kk < 17.04.3-1
Conflicts:      kde-l10n-km < 17.04.3-1
Conflicts:      kde-l10n-ko < 17.04.3-1
Conflicts:      kde-l10n-lt < 17.04.3-1
Conflicts:      kde-l10n-lv < 17.04.3-1
Conflicts:      kde-l10n-mr < 17.04.3-1
Conflicts:      kde-l10n-nb < 17.04.3-1
Conflicts:      kde-l10n-nds < 17.04.3-1
Conflicts:      kde-l10n-nl < 17.04.3-1
Conflicts:      kde-l10n-nn < 17.04.3-1
Conflicts:      kde-l10n-pa < 17.04.3-1
Conflicts:      kde-l10n-pl < 17.04.3-1
Conflicts:      kde-l10n-pt < 17.04.3-1
Conflicts:      kde-l10n-pt_BR < 17.04.3-1
Conflicts:      kde-l10n-ro < 17.04.3-1
Conflicts:      kde-l10n-ru < 17.04.3-1
Conflicts:      kde-l10n-sk < 17.04.3-1
Conflicts:      kde-l10n-sl < 17.04.3-1
Conflicts:      kde-l10n-sr < 17.04.3-1
Conflicts:      kde-l10n-sv < 17.04.3-1
Conflicts:      kde-l10n-tr < 17.04.3-1
Conflicts:      kde-l10n-ug < 17.04.3-1
Conflicts:      kde-l10n-uk < 17.04.3-1
Conflicts:      kde-l10n-wa < 17.04.3-1
Conflicts:      kde-l10n-zh_CN < 17.04.3-1
Conflicts:      kde-l10n-zh_TW < 17.04.3-1

Recommends:     kcron-handbook

%description
Kcron is a graphical frontend to the cron system, used to schedule regular 
tasks on a Unix system.

%files -f %name.lang
%_kf5_services/kcm_cron.desktop
%_qt5_plugindir/kcm_cron.so

#------------------------------------------------------------------------------

%package -n kcron-handbook
Summary:        Kcron handbook
Group:          Documentation
BuildArch:      noarch
Requires:       kcron >= %{epoch}:%{version}-%{release}
Conflicts:      kcron < 2:4.7.1

%description -n kcron-handbook
This package provides the kcron handbook.

%files -n kcron-handbook
%doc %_kf5_docdir/HTML/
#_kf5_docdir/HTML/en/kcron/

#------------------------------------------------------------------------------

%prep
%setup -q

%build
export LD=/usr/bin/ld.gold 
%cmake_kf5 -DKDE4_ENABLE_FINAL=ON 
%make_build

%install
%make_install -C build
%find_lang %name


%changelog
* Sat Feb 17 2018 neoclust <neoclust> 2:17.12.2-1.mga6
+ Revision: 1202243
- New version 17.12.2
- New version 17.12.1

* Wed Mar 08 2017 neoclust <neoclust> 2:16.12.3-1.mga6
+ Revision: 1090040
- New version 16.12.3
- New version 16.12.2
- New version 16.12.1

* Sat Dec 24 2016 neoclust <neoclust> 2:16.12.0-1.mga6
+ Revision: 1076776
- New version 16.12.0

* Sun Dec 04 2016 neoclust <neoclust> 2:16.11.90-1.mga6
+ Revision: 1071988
- New version 16.11.90

* Tue Nov 15 2016 neoclust <neoclust> 2:16.08.3-1.mga6
+ Revision: 1067306
- New version 16.08.3

* Mon Oct 17 2016 neoclust <neoclust> 2:16.08.2-1.mga6
+ Revision: 1061365
- New version 16.08.2

* Thu Sep 08 2016 neoclust <neoclust> 2:16.08.1-1.mga6
+ Revision: 1050632
- New version 16.08.1

* Wed Aug 24 2016 neoclust <neoclust> 2:16.08.0-1.mga6
+ Revision: 1048378
- New version 16.08.0

* Sat Jul 09 2016 neoclust <neoclust> 2:16.04.3-1.mga6
+ Revision: 1040027
- New version 16.04.3
- New version 16.04.2

* Wed May 11 2016 neoclust <neoclust> 2:16.04.1-1.mga6
+ Revision: 1012517
- New version 16.04.1

* Fri Apr 22 2016 neoclust <neoclust> 2:16.04.0-1.mga6
+ Revision: 1004307
- New version 16.04.0

* Thu Mar 24 2016 neoclust <neoclust> 2:16.03.80-1.mga6
+ Revision: 994841
- New version 16.03.80

* Wed Mar 16 2016 neoclust <neoclust> 2:15.12.3-1.mga6
+ Revision: 991157
- New version 15.12.3

* Tue Mar 08 2016 neoclust <neoclust> 1.mga6-current
+ Revision: 987426
- New version 15.12.2

* Wed Jan 13 2016 neoclust <neoclust> 2:15.12.1-1.mga6
+ Revision: 922595
- New version 15.12.1

* Sat Dec 19 2015 neoclust <neoclust> 2:15.12.0-1.mga6
+ Revision: 911927
- New version 15.12.0

* Mon Nov 23 2015 neoclust <neoclust> 2:15.11.80-1.mga6
+ Revision: 905385
- New version 15.11.80

* Tue Nov 10 2015 neoclust <neoclust> 2:15.08.3-1.mga6
+ Revision: 901121
- New version 15.08.3

* Wed Oct 14 2015 neoclust <neoclust> 2:15.08.2-1.mga6
+ Revision: 890601
- New version 15.08.2

* Fri Sep 18 2015 neoclust <neoclust> 2:15.08.1-1.mga6
+ Revision: 880414
- New version 15.08.1

* Wed Aug 19 2015 neoclust <neoclust> 2:15.08.0-1.mga6
+ Revision: 865932
- New version 15.08.0

* Wed Aug 12 2015 neoclust <neoclust> 2:15.07.90-2.mga6
+ Revision: 863969
- Plasma Mass Rebuild - Rebuild for new Plasma

* Sun Aug 09 2015 neoclust <neoclust> 2:15.07.90-1.mga6
+ Revision: 861745
- New version 15.07.90

* Thu Jul 30 2015 neoclust <neoclust> 2:15.07.80-1.mga6
+ Revision: 859233
- New version 15.07.80

* Fri Jul 24 2015 neoclust <neoclust> 2:15.04.3-1.mga6
+ Revision: 856650
- New version 15.04.3

* Wed Dec 03 2014 lmenut <lmenut> 2:4.14.3-1.mga5
+ Revision: 800567
- Update to KDE SC 4.14.3

* Sat Oct 18 2014 lmenut <lmenut> 2:4.14.2-1.mga5
+ Revision: 787653
- Update to KDE SC 4.14.2

* Wed Oct 15 2014 umeabot <umeabot> 2:4.14.1-2.mga5
+ Revision: 743572
- Second Mageia 5 Mass Rebuild

* Thu Oct 02 2014 lmenut <lmenut> 2:4.14.1-1.mga5
+ Revision: 734515
- Update to KDE SC 4.14.1

* Tue Sep 16 2014 umeabot <umeabot> 2:4.14.0-2.mga5
+ Revision: 680965
- Mageia 5 Mass Rebuild

  + tv <tv>
    - s/uggests:/Recommends:/

* Mon Aug 25 2014 lmenut <lmenut> 2:4.14.0-1.mga5
+ Revision: 667453
- Update to KDE SC 4.14.0
- Use official URL http://download.kde.org for Source

* Fri Aug 15 2014 lmenut <lmenut> 2:4.13.97-1.mga5
+ Revision: 662964
- Update to KDE SC 4.13.97 aka KDE SC 4.14 RC

* Sat Jul 26 2014 lmenut <lmenut> 2:4.13.95-1.mga5
+ Revision: 656642
- Update to KDE SC 4.13.95 aka KDE SC 4.14 Beta3

* Sat Jul 19 2014 lmenut <lmenut> 2:4.13.90-1.mga5
+ Revision: 653828
- Update to KDE SC 4.13.90 aka KDE SC 4.14 Beta2

* Mon Jul 14 2014 lmenut <lmenut> 2:4.13.80-1.mga5
+ Revision: 651933
- Update to KDE SC 4.13.80 aka KDE SC 4.14 Beta1

* Sun Jun 15 2014 lmenut <lmenut> 2:4.13.2-1.mga5
+ Revision: 636702
- Update to KDE SC 4.13.2

* Sat May 24 2014 lmenut <lmenut> 2:4.13.1-1.mga5
+ Revision: 625469
- Update to KDE SC 4.13.1

* Thu Apr 17 2014 lmenut <lmenut> 2:4.13.0-1.mga5
+ Revision: 615542
- Update to KDE SC 4.13.0

* Sat Mar 29 2014 lmenut <lmenut> 2:4.12.97-1.mga5
+ Revision: 609362
- Update to KDE SC 4.12.97 aka KDE SC 4.13 RC

* Sun Mar 23 2014 lmenut <lmenut> 2:4.12.95-1.mga5
+ Revision: 606803
- Update to KDE SC 4.12.95 aka KDE SC 4.13 Beta3

* Thu Mar 13 2014 neoclust <neoclust> 2:4.12.90-1.mga5
+ Revision: 603302
- New version 4.12.80

* Fri Mar 07 2014 neoclust <neoclust> 2:4.12.80-1.mga5
+ Revision: 600650
- New version 4.12.80
- New version 4.12.3

* Thu Feb 13 2014 neoclust <neoclust> 2:4.12.2-1.mga5
+ Revision: 590435
- New version 4.12.2

* Tue Feb 11 2014 neoclust <neoclust> 2:4.11.5-1.mga5
+ Revision: 589254
- New version 4.11.5

* Wed Dec 04 2013 lmenut <lmenut> 2:4.11.4-1.mga4
+ Revision: 554962
- Update tarball to KDE SC 4.11.4

* Thu Nov 14 2013 lmenut <lmenut> 2:4.11.3-1.mga4
+ Revision: 551228
- Update tarball to KDE SC 4.11.3

* Mon Oct 21 2013 umeabot <umeabot> 2:4.11.2-2.mga4
+ Revision: 540418
- Mageia 4 Mass Rebuild

* Thu Oct 03 2013 mikala <mikala> 2:4.11.2-1.mga4
+ Revision: 490836
- Update tarball to KDE SC 4.11.2

* Sat Sep 28 2013 lmenut <lmenut> 2:4.11.1-2.mga4
+ Revision: 488620
- rebuild with fixed rpm (missing suggests tags)

* Mon Sep 09 2013 mikala <mikala> 2:4.11.1-1.mga4
+ Revision: 476913
- Update tarball to KDE SC 4.11.1

* Sat Aug 10 2013 mikala <mikala> 2:4.11.0-1.mga4
+ Revision: 465310
- Update tarball to KDE SC 4.11.0
- Update tarball to KDE SC 4.11.0

* Sat Jul 27 2013 lmenut <lmenut> 2:4.10.97-1.mga4
+ Revision: 458876
- Update tarball to KDE SC 4.10.97 aka KDE SC 4.11 RC2

* Wed Jul 17 2013 lmenut <lmenut> 2:4.10.95-1.mga4
+ Revision: 455266
- Update tarball to KDE SC 4.10.95 aka KDE SC 4.11 RC1

* Fri Jun 28 2013 mikala <mikala> 2:4.10.90-1.mga4
+ Revision: 448027
- Update tarball to KDE SC 4.10.90 aka KDE SC 4.11 Beta 2
- imported package kcron

